Package com.independentsoft.office.odf

# Class LineNumberingConfiguration

java.lang.Object
com.independentsoft.office.odf.LineNumberingConfiguration

public class LineNumberingConfiguration extends Object
Represents line numbering.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineNumberingConfiguration()`
  Initializes a new instance of the LineNumberingConfiguration class.
  `LineNumberingConfiguration​(InternalXMLStreamReader reader)`
  Instantiates a new line numbering configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LineNumberingConfiguration`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `int`
  `getIncrement()`
  Gets the line numbers to be numbered as multiples of a specified increment.
  `String`
  `getNumberFormat()`
  Gets the numbering sequence.
  `Size`
  `getOffset()`
  Gets the distance between a line number and the margin.
  `NumberPosition`
  `getPosition()`
  Gets the margin where line numbers appear.
  `LineNumberingSeparator`
  `getSeparator()`
  Gets the text that is displayed as a separator.
  `String`
  `getStyle()`
  Gets the text style.
  `boolean`
  `isCountEmptyLines()`
  Specifies whether empty lines are included in the line count.
  `boolean`
  `isCountLinesInTextBoxes()`
  Specifies whether text in text boxes is included in the line count.
  `boolean`
  `isLineNumberingEnabled()`
  Specifies whether lines are numbered.
  `boolean`
  `isRestartOnPage()`
  Specifies whether the line count is reset to 1 at the start of every page.
  `void`
  `setCountEmptyLines​(boolean countEmptyLines)`
  Specifies whether empty lines are included in the line count.
  `void`
  `setCountLinesInTextBoxes​(boolean countLinesInTextBoxes)`
  Specifies whether text in text boxes is included in the line count.
  `void`
  `setIncrement​(int increment)`
  Sets the line numbers to be numbered as multiples of a specified increment.
  `void`
  `setLineNumberingEnabled​(boolean lineNumberingEnabled)`
  Specifies whether lines are numbered.
  `void`
  `setNumberFormat​(String numberFormat)`
  Sets the numbering sequence.
  `void`
  `setOffset​(Size offset)`
  Sets the distance between a line number and the margin.
  `void`
  `setPosition​(NumberPosition position)`
  Sets the margin where line numbers appear.
  `void`
  `setRestartOnPage​(boolean restartOnPage)`
  Specifies whether the line count is reset to 1 at the start of every page.
  `void`
  `setSeparator​(LineNumberingSeparator separator)`
  Sets the text that is displayed as a separator.
  `void`
  `setStyle​(String style)`
  Sets the text style.
  `String`
  `toString()`
  Converts the value of the current LineNumberingConfiguration object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LineNumberingConfiguration

    public LineNumberingConfiguration()
    Initializes a new instance of the LineNumberingConfiguration class.

  - ### LineNumberingConfiguration

    public LineNumberingConfiguration​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new line numbering configuration.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public LineNumberingConfiguration clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current LineNumberingConfiguration object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### isLineNumberingEnabled

    public boolean isLineNumberingEnabled()
    Specifies whether lines are numbered.
    Returns:
      true, if is line numbering enabled

  - ### setLineNumberingEnabled

    public void setLineNumberingEnabled​(boolean lineNumberingEnabled)
    Specifies whether lines are numbered.
    Parameters:
      `lineNumberingEnabled` - the new line numbering enabled

  - ### getNumberFormat

    public String getNumberFormat()
    Gets the numbering sequence.
    Returns:
      the number format

  - ### setNumberFormat

    public void setNumberFormat​(String numberFormat)
    Sets the numbering sequence.
    Parameters:
      `numberFormat` - the new number format

  - ### getStyle

    public String getStyle()
    Gets the text style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the text style.
    Parameters:
      `style` - the new style

  - ### getIncrement

    public int getIncrement()
    Gets the line numbers to be numbered as multiples of a specified increment.
    Returns:
      the increment

  - ### setIncrement

    public void setIncrement​(int increment)
    Sets the line numbers to be numbered as multiples of a specified increment.
    Parameters:
      `increment` - the new increment

  - ### getPosition

    public NumberPosition getPosition()
    Gets the margin where line numbers appear.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(NumberPosition position)
    Sets the margin where line numbers appear.
    Parameters:
      `position` - the new position

  - ### getOffset

    public Size getOffset()
    Gets the distance between a line number and the margin.
    Returns:
      the offset

  - ### setOffset

    public void setOffset​(Size offset)
    Sets the distance between a line number and the margin.
    Parameters:
      `offset` - the new offset

  - ### isCountEmptyLines

    public boolean isCountEmptyLines()
    Specifies whether empty lines are included in the line count. The defined values are: -false: empty lines are not included in a line count. -true: empty lines are included in a line count.
    Returns:
      true, if is count empty lines

  - ### setCountEmptyLines

    public void setCountEmptyLines​(boolean countEmptyLines)
    Specifies whether empty lines are included in the line count. The defined values are: -false: empty lines are not included in a line count. -true: empty lines are included in a line count.
    Parameters:
      `countEmptyLines` - the new count empty lines

  - ### isCountLinesInTextBoxes

    public boolean isCountLinesInTextBoxes()
    Specifies whether text in text boxes is included in the line count. If the value of this attribute is true, text within text boxes is included in the line count.
    Returns:
      true, if is count lines in text boxes

  - ### setCountLinesInTextBoxes

    public void setCountLinesInTextBoxes​(boolean countLinesInTextBoxes)
    Specifies whether text in text boxes is included in the line count. If the value of this attribute is true, text within text boxes is included in the line count.
    Parameters:
      `countLinesInTextBoxes` - the new count lines in text boxes

  - ### isRestartOnPage

    public boolean isRestartOnPage()
    Specifies whether the line count is reset to 1 at the start of every page. The defined values are: -false: line count is not reset, resulting in document-specific numbering of lines. -true: line count is reset to 1 at the beginning of every page, resulting in page-specific line numbering.
    Returns:
      true, if is restart on page

  - ### setRestartOnPage

    public void setRestartOnPage​(boolean restartOnPage)
    Specifies whether the line count is reset to 1 at the start of every page. The defined values are: -false: line count is not reset, resulting in document-specific numbering of lines. -true: line count is reset to 1 at the beginning of every page, resulting in page-specific line numbering.
    Parameters:
      `restartOnPage` - the new restart on page

  - ### getSeparator

    public LineNumberingSeparator getSeparator()
    Gets the text that is displayed as a separator. A separator is text that is displayed instead of a line number for lines where no number is displayed.
    Returns:
      the separator

  - ### setSeparator

    public void setSeparator​(LineNumberingSeparator separator)
    Sets the text that is displayed as a separator. A separator is text that is displayed instead of a line number for lines where no number is displayed.
    Parameters:
      `separator` - the new separator